### Eclipse Workspace Patch 1.0
#P squid2-HEAD
Index: src/main.c
===================================================================
RCS file: /squid/squid/src/main.c,v
retrieving revision 1.408
diff -u -r1.408 main.c
--- src/main.c	27 Aug 2008 00:35:53 -0000	1.408
+++ src/main.c	29 Oct 2008 22:44:29 -0000
@@ -772,7 +772,7 @@
     setUmask(Config.umask);
     if (-1 == opt_send_signal)
 	if (checkRunningPid())
-	    exit(1);
+	    exit(0);
 
     /* Make sure the OS allows core dumps if enabled in squid.conf */
     enableCoredumps();
@@ -913,8 +913,13 @@
 	}
 #endif
     } else {
-	fprintf(stderr, "%s: ERROR: No running copy\n", appname);
-	exit(1);
+	if (opt_send_signal == 0) {
+	    fprintf(stderr, "%s: ERROR: No running copy\n", appname);
+	    exit(1);
+	} else {
+	    fprintf(stderr, "%s: No running copy\n", appname);
+	    exit(0);
+	}
     }
     /* signal successfully sent */
     exit(0);

